Saving/loading styles - symbolization not shown in Legend; layer disappears from map canvas
Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11060

Description

Saving/loading styles - two problems

1. the legend does not display the loaded style symbolization

2. the layer disappears from the map display after loading a saved style and then toggling visibility

Tested with r8242 on Linux, but I believe this affects all platforms.

Steps to show the problems:

Set the stage - show that style save/load appears to work

1. start QGIS

2. load a vector file (OGR or [[PostGIS]]) that has an attribute that can be classified on unique value (this is what I used)

3. in layer Properties, symbolize the layer using Unique Value; just accept what is automatically set

4. OK to the Properties dialog

5. observe that the Legend shows the symbolization - Field and values/colors

6. back in layer Properties, 

a. use the Save Style button to save the current symbolization

b. set the Legend type to Single Symbol

c. OK the Properties

7. the Legend shows the single value color and the map is drawn with a single color

8. in layer Properties, load the Style saved in 6a, then OK

9. observe that the Legend shows the symbolization and the map is symbolized per the loaded style

10. click the layer visibility off, then on, to show that layer disappears and reappears as expected

11. close QGIS so we can start fresh

Demonstrate the two problems:

12. start QGIS
13. load the same vector file used in step 2

14. in layer Properties load the Style saved in 6a; OK to the Properties dialog

15. observe that the Legend shows single value symbolization, but the map has been symbolized per 

the loaded style

This is the first problem.

Expected to see the Unique Value - field and values/colors symbolization in Legend.

16. click the layer visibility off, then on

17. notice that the layer disappears and does not reappear in the map; the Legend still shows the 

layer

This is the second problem.

The following messages appear on the console when setting layer visibility to on in step 16:

Warning: WARNING: layer '_wnc+_washington_ogr_modified+_wkb_geometry+sql_20080317200058346' not found in map layer

registry!

Warning: QObject::connect: Cannot connect (null)::repaintRequested() to [[QgsMapCanvas]]::refresh()

Warning: QObject::connect: Cannot connect (null)::screenUpdateRequested() to [[QgsMapCanvas]]::updateMap()

Warning: WARNING: layer '_wnc+_washington_ogr_modified+_wkb_geometry+sql_20080317200058346' not found in map layer

registry!

Warning: Layer not found in registry!

History

#1 - 2008-04-11 10:09 AM - Marco Hugentobler

I cannot reproduce both problems with commit:cd70d469 (SVN r8339). Is this ticket still valid?

Marco

#2 - 2008-10-10 01:21 PM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

I tested the procedure and as or commit:8094f1d4 (SVN r9472) works fine for me. Closing this ticket.

Regards

Tim

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
